textproc/enchant2 - The NetBSD Packages Collection

Generic spell checking library

Enchant aims to provide a simple but comprehensive abstraction for
dealing with different spell checking libraries in a consistent way. A
client, such as a text editor or word processor, need not know
anything about a specific spell-checker, and since all back-ends are
plugins, new spell-checkers can be added without needing any change to
the program using Enchant.

Enchant in pkgsrc can work with the following spell checkers:

    Hunspell
    GNU Aspell
    Zemberek

Note that while enchant, when configured by options to use a spell
checker, simply requires the spell checker package.  It does nothing
about dictionaries for particular languages.

Build dependencies

devel/unittest-cpp devel/glib2-tools devel/libtool-base pkgtools/mktools devel/autoconf devel/gmake devel/pkgconf pkgtools/cwrappers

Runtime dependencies

textproc/hunspell-en_US textproc/hunspell devel/glib2 textproc/hunspell devel/glib2

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64enchant2-2.6.7.tgz
NetBSD 10.0aarch64enchant2-2.6.4.tgz
NetBSD 10.0aarch64ebenchant2-2.6.7.tgz
NetBSD 10.0alphaenchant2-2.6.4.tgz
NetBSD 10.0alphaenchant2-2.6.7.tgz
NetBSD 10.0earmv4enchant2-2.6.4.tgz
NetBSD 10.0earmv4enchant2-2.6.7.tgz
NetBSD 10.0earmv6hfenchant2-2.6.7.tgz
NetBSD 10.0earmv6hfenchant2-2.6.4.tgz
NetBSD 10.0earmv7hfenchant2-2.6.7.tgz
NetBSD 10.0earmv7hfenchant2-2.6.4.tgz
NetBSD 10.0i386enchant2-2.6.7.tgz
NetBSD 10.0i386enchant2-2.6.4.tgz
NetBSD 10.0m68kenchant2-2.6.4.tgz
NetBSD 10.0m68kenchant2-2.6.7.tgz
NetBSD 10.0mips64ebenchant2-2.6.4.tgz
NetBSD 10.0mips64ebenchant2-2.6.7.tgz
NetBSD 10.0powerpcenchant2-2.5.0.tgz
NetBSD 10.0powerpcenchant2-2.6.4.tgz
NetBSD 10.0sh3elenchant2-2.6.7.tgz
NetBSD 10.0sparc64enchant2-2.6.7.tgz
NetBSD 10.0sparcenchant2-2.6.4.tgz
NetBSD 10.0sparcenchant2-2.6.7.tgz
NetBSD 10.0x86_64enchant2-2.6.7.tgz
NetBSD 10.0x86_64enchant2-2.6.4.tgz
NetBSD 9.0aarch64enchant2-2.6.7.tgz
NetBSD 9.0aarch64enchant2-2.6.4.tgz
NetBSD 9.0alphaenchant2-2.6.4.tgz
NetBSD 9.0alphaenchant2-2.6.7.tgz
NetBSD 9.0earmenchant2-2.3.3.tgz
NetBSD 9.0earmv4enchant2-2.6.7.tgz
NetBSD 9.0earmv6hfenchant2-2.6.7.tgz
NetBSD 9.0earmv6hfenchant2-2.6.4.tgz
NetBSD 9.0earmv7hfenchant2-2.6.7.tgz
NetBSD 9.0earmv7hfenchant2-2.6.4.tgz
NetBSD 9.0i386enchant2-2.6.7.tgz
NetBSD 9.0i386enchant2-2.6.4.tgz
NetBSD 9.0m68kenchant2-2.6.4.tgz
NetBSD 9.0m68kenchant2-2.6.7.tgz
NetBSD 9.0mips64ebenchant2-2.3.3.tgz
NetBSD 9.0mipselenchant2-2.3.3.tgz
NetBSD 9.0powerpcenchant2-2.6.4.tgz
NetBSD 9.0powerpcenchant2-2.5.0.tgz
NetBSD 9.0powerpcenchant2-2.6.7.tgz
NetBSD 9.0sh3elenchant2-2.5.0.tgz
NetBSD 9.0sparc64enchant2-2.3.3.tgz
NetBSD 9.0sparc64enchant2-2.6.7.tgz
NetBSD 9.0sparcenchant2-2.5.0.tgz
NetBSD 9.0x86_64enchant2-2.6.7.tgz
NetBSD 9.0x86_64enchant2-2.6.4.tgz
NetBSD 9.3x86_64enchant2-2.8.0.tgz
NetBSD 9.3x86_64enchant2-2.8.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

aspell
Add spell checking support using aspell.
enchant-zemberek
Add spell checking support for Turkish.
hunspell
Add spell checking support using hunspell.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.